<?php

require_once('nastavenie.php');

class User extends Nastavenie {

  var $sessdata = array();

  function User() {
    parent::Nastavenie();
    
    $login_no = array('is_loged' => false);
    
    $this->sessdata = array_merge($login_no, $this->session->userdata);
  }
  
  function prihlas($meno, $heslo)
  {
    $heslo = sha1($heslo);
    
    $heslo_admina = $this->vyber('heslo_admina');
    $meno_admina = $this->vyber('meno_admina');
    
    if ($heslo_admina == $heslo && $meno_admina == $meno)
    {
      $login = array('is_loged' => true);
      
      $this->session->set_userdata($login);
      $this->sessdata = $login;
      
      return true;
    }
    
    return false;
  }
  
  function odhlas()
  {
    $login_no = array('is_loged' => false);
    
    $this->session->set_userdata($login_no);
    $this->sessdata = $login_no;
    
    return true;
  }
  
  function isLogedIn()
  {
    if ($this->sessdata['is_loged'] == true)
      return true;
    return false;
  }
  
}

?>